Batch Delete Tasks

Batch delete tasks from a Board. This is a synchronous operation. You can either delete specific tasks by ID list or delete all tasks matching filter criteria.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Board ID (required)

boolean
Defaults to false

Whether to delete all matching tasks (true) or specific tasks (false, default). When true, filter must be provided and taskIds is ignored.

taskIds
array of strings | null

Task ID list to delete. Required when selectAll=false. Ignored when selectAll=true.

taskIds
excludeTaskIds
array of strings | null

Task IDs to exclude from deletion. Only effective when selectAll=true. For tasks manually deselected by user.

excludeTaskIds
filter
object | null

Filter criteria for batch operation. Only effective when selectAll=true.

Headers
string
required

User ID

string
required

API Key for authentication (Bearer token)

Responses

400

Invalid request parameters

401

Unauthorized

403

Forbidden - insufficient permissions

500

Internal server error

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json